Bug 2031742 - Implement a new config option to enable SHA-1 signatures
Summary: Implement a new config option to enable SHA-1 signatures
Keywords:
Status: CLOSED ERRATA
Alias: None
Deadline: 2022-02-21
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: openssl
Version: CentOS Stream
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Clemens Lang
QA Contact: Hubert Kario
Mirek Jahoda
URL:
Whiteboard:
Depends On: 2060785 2058497 2060346
Blocks: 2060797
TreeView+ depends on / blocked
 
Reported: 2021-12-13 11:28 UTC by Sahana Prasad
Modified: 2022-05-17 15:39 UTC (History)
9 users (show)

Fixed In Version: openssl-3.0.1-14.el9.1
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 2060797 (view as bug list)
Environment:
Last Closed: 2022-05-17 15:36:34 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openssl openssl issues 17662 0 None open Adding a config option in openssl.cnf to enable SHA-1 signature creation and verification 2022-02-08 10:30:03 UTC
Red Hat Bugzilla 2042448 1 medium CLOSED Creation of self-signed certificates in FIPS mode fails 2022-05-18 13:22:24 UTC
Red Hat Issue Tracker CRYPTO-6143 0 None None None 2022-02-07 16:23:44 UTC
Red Hat Issue Tracker RHELPLAN-105510 0 None None None 2021-12-13 11:33:15 UTC
Red Hat Product Errata RHBA-2022:3900 0 None None None 2022-05-17 15:37:03 UTC

Internal Links: 2059630 2060343

Comment 7 Sandro Bonazzola 2022-02-28 08:41:07 UTC
this change seems to break rpm: bug #2059101

Comment 26 errata-xmlrpc 2022-05-17 15:36:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (new packages: openssl), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:3900


Note You need to log in before you can comment on or make changes to this bug.